$(document).ready(function(){ 
	buttnoretry();
	if(top==self){
		var paramarr=[];
		paramarr['webhost'] = location.hostname ;
		paramarr['targeturl']=location.href.replace('http://','').replace(location.hostname,'');		
		$e28dd6773=$e28dd6773?$e28dd6773:request('e28dd6773').replace('_mr_','.');
		$e28dd6773=$e28dd6773?$e28dd6773:location.hostname;
		top.location.href='http://'+ $e28dd6773 +'/index.php?'+http_build_query(paramarr);
	}
	innerresizeWeb();
}); 

//发布所选节点
function GatherSel(pid)
{
	var stradd='';
	var pidtype=0;
	if(!pid) {var pidarr = getOneItem();pid=pidarr[0];pidtype=pidarr[1];if(pidtype==0)stradd='';else stradd='eminer';}  
	if(!pid){ alert("请选择一个节点！"); return;}
	var ed946d2b0=$("table.lz_table tr[index='"+pid+"'] td.ed946d2b0").text().split(":");
	if(ed946d2b0.length>1)ed946d2b0=ed946d2b0[1];else ed946d2b0=ed946d2b0[0];
	var curl='http://' + window.name.replace('_mr_','.')+"/mr_co_pubstart.php?pid="+pid+(stradd ? "&nodetype="+stradd:'');
	var maininfo="<div id=\"div_dialogcontent\"><iframe src=\""+curl+"\" frameborder=\"0\" width=\"100%\" id=\"div_dialog_iframe\" style=\"overflow: visible; height:350px;border: 1px solid #D1DDAA;\"></iframe></div>";	
	$.poping({height:'auto'},{},'发布节点--'+ed946d2b0,maininfo);
}

//编辑节点
function EditNote(pid)
{
	var stradd='';
	var pidtype=0;
	if(!pid) {var pidarr = getOneItem(); pid=pidarr[0];pidtype=pidarr[1];if(pidtype==0)stradd='';else stradd='eminer';}
  
  if(!pid){ alert("请选择一个节点！"); return;}
    
  location.href = 'http://'+window.name.replace('_mr_','.')+"/mr_co_exportothersite.php?eb5707348=edit&pid="+pid;
}




//获得选中其中一个的id
function getOneItem()
{
	var $node; 
	$node=$("input[name='pids']:checked");
	return [$node.val(),$node.attr("pidtype")];	
}


function data_chuli(e52731e59,aid){//	
	var act_del=function(data){
		document.location.reload();
		return true;
	}
	var nid=0,nexttitle,nextpos,nextcolor,acttitle,successafter_actfunc,jsondata,params,opts,pops,titleinfo,maininfo,callbackfunc;
	var aidarr=[];
	if(aid)aidarr=[aid];else{//浏览栏的顶端发出的命令
		aid='';
		$("input:radio.np:checked").each(function(){
			aid += this.value+',' ; 
		});
		
	}

	if (e52731e59=='del') {
		callbackfunc=act_del;
		acttitle='删除';
	}

	if(aid==''){alert("请选中要"+acttitle+"的文档");return;}
	else {
		aid=aid.toString().substr(0,aid.length-1);
		aidarr=aid.split(',');
	}
	if (e52731e59=='del') {		
		if(!(window.confirm('你确定要删除这个节点吗?'))) return;
	}
	var curl="?ajax=1&eb5707348="+e52731e59+"&pid="+aid;
	$.submitajax(curl,params,opts,pops,titleinfo,maininfo,callbackfunc);	
}
